Get Compliance Activity Timeline Detail
curl --request GET \
--url https://api.your-blindsight.com/api/compliance/activity-timeline/detailimport requests
url = "https://api.your-blindsight.com/api/compliance/activity-timeline/detail"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.your-blindsight.com/api/compliance/activity-timeline/detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"generated_at": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"bucket_start": "2023-11-07T05:31:56Z",
"bucket_end": "2023-11-07T05:31:56Z",
"highest_severity": "none",
"critical_count": 0,
"high_count": 0,
"total_count": 0,
"affected_dataset_count": 0,
"datasets": [
{
"dataset_id": "<string>",
"dataset_name": "<string>",
"highest_severity": "none",
"total_count": 0,
"critical_count": 0,
"high_count": 0,
"events": [
{
"id": "<string>",
"event_type": "<string>",
"summary": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"category": "activity",
"actor": "<string>",
"dataset_id": "<string>",
"dataset_name": "<string>",
"scan_id": "<string>",
"scan_type": "<string>",
"scan_status": "<string>",
"severity": "low",
"critical": false,
"details": {}
}
]
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}compliance
Get Compliance Activity Timeline Detail
GET
/
api
/
compliance
/
activity-timeline
/
detail
Get Compliance Activity Timeline Detail
Query Parameters
ISO timestamp marking the bucket start.
ISO timestamp marking the bucket end.
Optional dataset UUIDs to scope the detail to a subset of datasets.
IANA timezone name used for labeling the selected bucket.
Response
Successful Response
Available options:
critical, high, medium, low, none Show child attributes
Show child attributes

